﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using SqlDataReader_MVC_Core.Models;

using System.Data.SqlClient;

namespace SqlDataReader_MVC_Core
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            List<CustomerModel> customers = new List<CustomerModel>();
            string constr = @"Data Source=.\SQL2019;Initial Catalog=AjaxSamples;Integrated Security=true";
            using (SqlConnection con = new SqlConnection(constr))
            {
                string query = "SELECT CustomerId, Name, Country FROM Customers";
                using (SqlCommand cmd = new SqlCommand(query, con))
                {
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            customers.Add(new CustomerModel
                            {
                                CustomerId = int.Parse(sdr["CustomerId"].ToString()),
                                Name = sdr["Name"].ToString(),
                                Country = sdr["Country"].ToString()
                            });
                        }
                    }
                    con.Close();
                }
            }

            return View(customers);
        }
    }
}